Bug 129824 - Tomcat does not include all available jars/libs in classpath, taglibraries and XML related JSPs fail, with solution
Tomcat does not include all available jars/libs in classpath, taglibraries an...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 18:58 EDT by Victoriano Giralt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 12:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victoriano Giralt 2004-08-12 18:58:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
Examples work, simple JSPs work. But I'm testing a third party app
which makes heavy use of tag libraries, XML and XSLTs with xalan based
parsing. Although I have both xalan-j and xalan-j-xsltc tomcat will
NOT include them in the class path neither
lib-org-apache-xalan-2.4.1.so,lib-org-apache-xalan-xsltc-2.4.1.so nor
xalan-2.4.1.jar,xalan-j-xsltc-2.4.1
And then, when processing the JSP page, Tomcat bangs on me complaining
with the following Root Cause:
javax.servlet.ServletException: Provider
org.apache.xalan.processor.TransformerFactoryImpl not found
As soon as I delete any taglib references, the page gets processed.

The cause for this errors is that, any extension added AFTER tomcat,
will not get linked into the /usr/share/tomcat/common/lib directory,
so they will not appear in tomcat's own class path. Making the links
by hand gets everything going smooth.

Version-Release number of selected component (if applicable):
tomcat-4.1.27-13

How reproducible:
Always

Steps to Reproduce:
1. Install tomcat-4.1.27-13 with xalan-j-2.4.1 and xalan-xsltc-2.4.1
2. Use page with tab libraries, tomcat bangs with errors in
/var/log/tomcat/localhost.log
3. Remove tag libraries from page, page gets processed.
4. Reintroduce tag libraries, errors reappear.
5. Make symbolic links for xalan-j (.so and .jar) in
/usr/share/tomcat/common/lib
6. Restart tomcat
7. xalan is in classpath, JSPs with taglibraries start working.
    

Actual Results:  Simple JSPs are processed. JSPs with tatg libraries
don't.
Nothing related to xalan gets included in the class path.
Once symbolic links are hand crafted, xalan appears in claspath and
JSPs work.

Expected Results:  The page shoud have been processed normally.

Additional info:

There should be a proccess for creating symlinks of useful things for
tomcat or tomcat should be made dependent on important things such as
xalan-j
Comment 1 Gary Benson 2004-08-13 11:12:20 EDT
> There should be a proccess for creating symlinks of useful things for
> tomcat or tomcat should be made dependent on important things such as
> xalan-j

To be honest I thought that tomcat could see the xalan-j libraries
because they're linked by ant, but I never tested it so they obviously
aren't.

For FC3 we're switching to a JPackage-based system, so issues like
this ought to be resolved by that.  I'm going to leave this bug open
to remind me to check that they are handled.

Thanks for the report.
Comment 2 Matthew Miller 2005-04-26 11:03:35 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-28 12:48:54 EDT
FC1 and FC2 are no longer supported even by Fedora Legacy, and this bug refers
to tomcat version 4.x, last shipped in FC2.  tomcat5 replaced it, and has quite
a few differences, so please retest the bug.  If this still occurs on FC3 or
FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.